# Google Immersive Product API

Each successful request will cost you **`5`** API credits.

You have to send a GET request to **`http://api.scrapingdog.com/google_immersive_product`** with the below-given parameters.

Google Immersive Product API pricing is available [here](https://www.scrapingdog.com/google-search-api).

### Parameters <a href="#parameters" id="parameters"></a>

#### **Scrapingdog Parameters**

| Parameter                                                          | Description                                                                                              |
| ------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------- |
| <p>api\_key<br></p><p><mark style="color:red;">required</mark></p> | <p>Your personal API key. Available on your dashboard <br><br>Type: <em><strong>String</strong></em></p> |

#### Search Query

| Parameter                                                             | Description                                                                                                                                                         |
| --------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p>page\_token<br></p><p><mark style="color:red;">required</mark></p> | <p>This parameter specifies the token required to display additional product details in Google’s immersive popup.<br><br>Type: <em><strong>String</strong></em></p> |

#### Sellers Pagination

| Parameter             | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| --------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p>stores<br><br></p> | <p>This parameter enables the pagination to get more sellers. Pass <code>true</code> to enable it. It can only be used with <code>sori</code> parameter.<br><br>Default: <code>false</code><br><br>Type: <em>String</em></p>                                                                                                                                                                                                                                                                 |
| sori                  | <p>This parameter works together with the <strong><code>sellers</code></strong> parameter to fetch the next page of seller results. Its value depends on how many sellers were returned in the previous API responses.</p><p></p><p><strong>Example:</strong><br><br>If your last two API responses included <strong>5-5 sellers each</strong>, set <strong><code>sori=10</code></strong> in your next API call to continue from the next set of sellers.<br><br>Type: <em>String</em>  </p> |

#### Geographic Location and Localization

| Parameter | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| --------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| country   | <p>This parameter specifies the country for the Google search using a two-letter country code (e.g., US for the United States, UK for the United Kingdom, or FR for France). For a complete list of supported countries, visit the <a href="https://docs.scrapingdog.com/google-search-scraper-api/parameters-supported/google-country-parameter-supported-google-countries">Google countries page</a>. <br><br>Default Value - <strong><code>us</code></strong> </p><p></p><p>Type - <strong>String</strong></p> |
| language  | <p>Language of the results. Possible Values - <strong><code>en</code></strong>, <strong><code>es</code></strong>, <strong><code>fr</code></strong>, <strong><code>de</code></strong>, etc. Visit <a href="https://docs.scrapingdog.com/google-search-scraper-api/parameters-supported/google-language-page">Google's languages page</a> for a complete list of supported countries. <br><br>Default Value - en <br><br>Type - <strong>String</strong></p>                                                         |

### API Example

{% tabs %}
{% tab title="cURL" %}

```bash
curl "https://api.scrapingdog.com/google_immersive_product?api_key=APIKEY&page_token=eyJlaSI6IjE0NXFaN0NlS3U3bjVOb1BtcmpTOFFvIiwicHJvZHVjdGlkIjoiIiwiY2F0YWxvZ2lkIjoiMTY5MTQ4Nzc2MjUyODA5Nzc4NjUiLCJoZWFkbGluZU9mZmVyRG9jaWQiOiIzMjM4MjI0ODQ0NjI0OTEyMTY5IiwiaW1hZ2VEb2NpZCI6IjQ3Njc0OTkxNTkwNjMyNzkxNCIsInJkcyI6IlBDXzMyNDU0NzY0MDA4MzM1NTE5NDh8UFJPRF9QQ18zMjQ1NDc2NDAwODMzNTUxOTQ4IiwicXVlcnkiOiIrQ29mZmVlIiwiZ3BjaWQiOiIzMjQ1NDc2NDAwODMzNTUxOTQ4IiwibWlkIjoiNTc2NDYyNjEyMjgwMTMwNDgxIiwicHZ0IjoiaGciLCJ1dWxlIjpudWxsfQ=="
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

api_key = "5eaa61a6e562fc52fe763tr516e4653"
url = "https://api.scrapingdog.com/google_immersive_product"

params = {
    "api_key": api_key,
    "page_token": "eyJlaSI6IjE0NXFaN0NlS3U3bjVOb1BtcmpTOFFvIiwicHJvZHVjdGlkIjoiIiwiY2F0YWxvZ2lkIjoiMTY5MTQ4Nzc2MjUyODA5Nzc4NjUiLCJoZWFkbGluZU9mZmVyRG9jaWQiOiIzMjM4MjI0ODQ0NjI0OTEyMTY5IiwiaW1hZ2VEb2NpZCI6IjQ3Njc0OTkxNTkwNjMyNzkxNCIsInJkcyI6IlBDXzMyNDU0NzY0MDA4MzM1NTE5NDh8UFJPRF9QQ18zMjQ1NDc2NDAwODMzNTUxOTQ4IiwicXVlcnkiOiIrQ29mZmVlIiwiZ3BjaWQiOiIzMjQ1NDc2NDAwODMzNTUxOTQ4IiwibWlkIjoiNTc2NDYyNjEyMjgwMTMwNDgxIiwicHZ0IjoiaGciLCJ1dWxlIjpudWxsfQ=="
}

response = requests.get(url, params=params)

if response.status_code == 200:
    data = response.json()
    print(data)
else:
    print(f"Request failed with status code: {response.status_code}")

```

{% endtab %}

{% tab title="Node JS" %}

```javascript
const axios = require('axios');

const api_key = '5eaa61a6e562fc52fe763tr516e4653';
const url = 'https://api.scrapingdog.com/google_immersive_product';

const params = {
  api_key: api_key,
  page_token: 'eyJlaSI6IjE0NXFaN0NlS3U3bjVOb1BtcmpTOFFvIiwicHJvZHVjdGlkIjoiIiwiY2F0YWxvZ2lkIjoiMTY5MTQ4Nzc2MjUyODA5Nzc4NjUiLCJoZWFkbGluZU9mZmVyRG9jaWQiOiIzMjM4MjI0ODQ0NjI0OTEyMTY5IiwiaW1hZ2VEb2NpZCI6IjQ3Njc0OTkxNTkwNjMyNzkxNCIsInJkcyI6IlBDXzMyNDU0NzY0MDA4MzM1NTE5NDh8UFJPRF9QQ18zMjQ1NDc2NDAwODMzNTUxOTQ4IiwicXVlcnkiOiIrQ29mZmVlIiwiZ3BjaWQiOiIzMjQ1NDc2NDAwODMzNTUxOTQ4IiwibWlkIjoiNTc2NDYyNjEyMjgwMTMwNDgxIiwicHZ0IjoiaGciLCJ1dWxlIjpudWxsfQ'
};

axios
  .get(url, { params: params })
  .then(function (response) {
    if (response.status === 200) {
      const data = response.data;
      console.log(data)
    } else {
      console.log('Request failed with status code: ' + response.status);
    }
  })
  .catch(function (error) {
    console.error('Error making the request: ' + error.message);
  });

```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

// Set the API key and request parameters
$api_key = '5eaa61a6e562fc52fe763tr516e4653';
$page_token = 'eyJlaSI6IjE0NXFaN0NlS3U3bjVOb1BtcmpTOFFvIiwicHJvZHVjdGlkIjoiIiwiY2F0YWxvZ2lkIjoiMTY5MTQ4Nzc2MjUyODA5Nzc4NjUiLCJoZWFkbGluZU9mZmVyRG9jaWQiOiIzMjM4MjI0ODQ0NjI0OTEyMTY5IiwiaW1hZ2VEb2NpZCI6IjQ3Njc0OTkxNTkwNjMyNzkxNCIsInJkcyI6IlBDXzMyNDU0NzY0MDA4MzM1NTE5NDh8UFJPRF9QQ18zMjQ1NDc2NDAwODMzNTUxOTQ4IiwicXVlcnkiOiIrQ29mZmVlIiwiZ3BjaWQiOiIzMjQ1NDc2NDAwODMzNTUxOTQ4IiwibWlkIjoiNTc2NDYyNjEyMjgwMTMwNDgxIiwicHZ0IjoiaGciLCJ1dWxlIjpudWxsfQ';

// Set the API endpoint
$url = 'https://api.scrapingdog.com/google_immersive_product/?api_key=' . $api_key . '&page_token =' . $page_token;

// Initialize cURL session
$ch = curl_init($url);

// Set cURL options
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

// Execute the cURL request
$response = curl_exec($ch);

// Check if the request was successful
if ($response === false) {
    echo 'cURL error: ' . curl_error($ch);
} else {
    // Process the response data as needed
    echo $response;
}

// Close the cURL session
curl_close($ch);

```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'net/http'
require 'uri'

# Set the API key and request parameters
api_key = '5eaa61a6e562fc52fe763tr516e4653'
page_token = 'eyJlaSI6IjE0NXFaN0NlS3U3bjVOb1BtcmpTOFFvIiwicHJvZHVjdGlkIjoiIiwiY2F0YWxvZ2lkIjoiMTY5MTQ4Nzc2MjUyODA5Nzc4NjUiLCJoZWFkbGluZU9mZmVyRG9jaWQiOiIzMjM4MjI0ODQ0NjI0OTEyMTY5IiwiaW1hZ2VEb2NpZCI6IjQ3Njc0OTkxNTkwNjMyNzkxNCIsInJkcyI6IlBDXzMyNDU0NzY0MDA4MzM1NTE5NDh8UFJPRF9QQ18zMjQ1NDc2NDAwODMzNTUxOTQ4IiwicXVlcnkiOiIrQ29mZmVlIiwiZ3BjaWQiOiIzMjQ1NDc2NDAwODMzNTUxOTQ4IiwibWlkIjoiNTc2NDYyNjEyMjgwMTMwNDgxIiwicHZ0IjoiaGciLCJ1dWxlIjpudWxsfQ'

# Construct the API endpoint URL
url = URI.parse("https://api.scrapingdog.com/google_immersive_product/?api_key=#{api_key}&page_token=#{page_token}")

# Create an HTTP GET request
request = Net::HTTP::Get.new(url)

# Create an HTTP client
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true # Enable SSL (https)

# Send the request and get the response
response = http.request(request)

# Check if the request was successful
if response.is_a?(Net::HTTPSuccess)
  puts response.body # Process the response data as needed
else
  puts "HTTP request failed with code: #{response.code}, message: #{response.message}"
end

```

{% endtab %}

{% tab title="Java" %}

```java
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.io.IOException;

public class Main {
    public static void main(String[] args) {
        try {
            // Set the API key and request parameters
            String apiKey = "5eaa61a6e562fc52fe763tr516e4653";
            String page_token = "eyJlaSI6IjE0NXFaN0NlS3U3bjVOb1BtcmpTOFFvIiwicHJvZHVjdGlkIjoiIiwiY2F0YWxvZ2lkIjoiMTY5MTQ4Nzc2MjUyODA5Nzc4NjUiLCJoZWFkbGluZU9mZmVyRG9jaWQiOiIzMjM4MjI0ODQ0NjI0OTEyMTY5IiwiaW1hZ2VEb2NpZCI6IjQ3Njc0OTkxNTkwNjMyNzkxNCIsInJkcyI6IlBDXzMyNDU0NzY0MDA4MzM1NTE5NDh8UFJPRF9QQ18zMjQ1NDc2NDAwODMzNTUxOTQ4IiwicXVlcnkiOiIrQ29mZmVlIiwiZ3BjaWQiOiIzMjQ1NDc2NDAwODMzNTUxOTQ4IiwibWlkIjoiNTc2NDYyNjEyMjgwMTMwNDgxIiwicHZ0IjoiaGciLCJ1dWxlIjpudWxsfQ";

            // Construct the API endpoint URL
            String apiUrl = "https://api.scrapingdog.com/google_immersive_product/?api_key=" + apiKey
                    + "&page_token =" + page_token 

            // Create a URL object from the API URL string
            URL url = new URL(apiUrl);

            // Open a connection to the URL
            HttpURLConnection connection = (HttpURLConnection) url.openConnection();

            // Set the request method to GET
            connection.setRequestMethod("GET");

            // Get the response code
            int responseCode = connection.getResponseCode();

            if (responseCode == 200) {
                // Read the response from the connection
                BufferedReader reader = new BufferedReader(new InputStreamReader(connection.getInputStream()));
                String inputLine;
                StringBuilder response = new StringBuilder();

                while ((inputLine = reader.readLine()) != null) {
                    response.append(inputLine);
                }
                reader.close();

                // Process the response data as needed
                System.out.println(response.toString());
            } else {
                System.out.println("HTTP request failed with response code: " + responseCode);
            }

            // Close the connection
            connection.disconnect();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
```

{% endtab %}
{% endtabs %}

### API Example

```json
{
    "thumbnails": [
        "https://encrypted-tbn2.gstatic.com/shopping?q=tbn:ANd9GcTLZGlIO7g1DxfkRQNZr_3nSn18pIipoZLquGdiz4yrcm_b4or8lKt7vdg9KiFv1b3_vmk3QLtpKl9S3iyaQk7dGqEba_u70jfnQ7g5fbLjPbV7IntGBH7H",
        "https://encrypted-tbn3.gstatic.com/shopping?q=tbn:ANd9GcSOo9i8m4kRjr6HKvMUHBA8tlM8nyxy3N3pjRmKYxUZtCTU5VzSNWDlQpOVY4JAzp_kODW8xao8wF0Q7GToMVwQ2AgR9qcR-uq7T0vvZ7uO_8lce53OBGLS7w",
        "https://encrypted-tbn3.gstatic.com/shopping?q=tbn:ANd9GcRWl_63Ui3r7iezYt8zNvSsXBE62aV7jUD1h9IQXbfH5RT1IbECQ5HjmEIhpQDRm54VCEvMIa-ln6V0mT9b35IjJhWG4p1Dk3hdnLSsWEw",
        "https://encrypted-tbn0.gstatic.com/shopping?q=tbn:ANd9GcTRQh0oP7g4S0U5D9ooTySfBomtxgQVdE7RGQTdRpEdacaK4cQZSIyGBw_mnReltkJEdrIii0GGodZwXzSDBiLXMRheQuvV21jQHcKelPQ_ij6JaNz1G6FPSg",
        "https://encrypted-tbn1.gstatic.com/shopping?q=tbn:ANd9GcQuA4yDFUB9h0yCz7Blug_bBYMQIJMC_Uvb5GaZwnzyaFZoA9XQlBNT-u1ZXysmtAVAw23JV28KGcWyAhODzw5Wt38oQTA49pTRSW3ohCfl",
        "https://encrypted-tbn2.gstatic.com/shopping?q=tbn:ANd9GcTtjFALwWAxGOjxO9SrM0YZaRlQdGJhaIpqTTHCq12ZWxU0AwkQzhytzDJjLycNpeYNCGmJrQKV-BGgoSgQBOWAdMu-pcTw_z688Kpdfsjq",
        "https://encrypted-tbn1.gstatic.com/shopping?q=tbn:ANd9GcQaTZ5HlC8ATesQvkyTx86qZZaCoGuv-C6z4uVpUHCq8r4b2WzSxIAOGnYO5QpVn_5-wkxVRF3_CvfXh0zpIhAsnPh4FjGCx3h5ZIxUyryvrgQnALyN9BNg",
        "https://encrypted-tbn0.gstatic.com/shopping?q=tbn:ANd9GcQMeX8a4MWTdKjXf6CeGDflL_ntWDgIPcKM4Wa6M4aPBVjmANDN9Gq9Nr5IpTLU6eNEJNgSwlT5h0ObE8deyGXcO8Ph1GSvqi-01osQnGo",
        "https://encrypted-tbn0.gstatic.com/shopping?q=tbn:ANd9GcS5EUKQROksc4NjIxD7D1ZQ_S1vAwIJ0968fk2COvwNHdO20XDMndyVxgRUe-sYh5fch7B-dWaMqxcYOumuKVkNLKm7bwRrWc4E8F4tcpzq",
        "https://encrypted-tbn3.gstatic.com/shopping?q=tbn:ANd9GcQAZzqeJhDwy4-joLnJfDJmXlSzS6JoBFi19Z9easOaqutNdflAcmGLZFtvYSxcEP8VxQF-_h5xSvo-n9Q1qK_78dltxUx2rqZGkAZ1WrqM0mYSnzhXYZ_9",
        "https://encrypted-tbn3.gstatic.com/shopping?q=tbn:ANd9GcRDTnLKjMcqaotVY3uBVk-riT4zhQrRK8lKoAu9aYMTq_yatClfXn7b_TtTwEqFvOvzHaLRIUz25SDjZUG0d5F17Emk3NHAUgsp6HOSeLE0Wmm3eEUhZ0-XaQ"
    ],
    "title": "FOLGERS GROUND COFFEE CLASSIC ROAST",
    "brand": "Folgers",
    "reviews": 13269,
    "rating": "4.6",
    "price_range": "$5.88 - $8.49",
    "stores": [
        {
            "name": "Walmart",
            "link": "https://www.walmart.com/ip/Folgers-Classic-Roast-Ground-Coffee-Medium-Roast-9-6-Ounce-Canister/241168688?wmlspartner=wlpa&selectedSellerId=0",
            "favicon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.walmart.com&client=SHOPPING&size=32&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
            "title": "Folgers Classic Roast Ground Coffee, Medium Roast, 9.6 oz Canister",
            "ratings": "4.3/5",
            "reviews": "908",
            "payment_method": "PayPal, Affirm accepted",
            "tag": "Most popular",
            "extensions": [
                "$6.99 delivery",
                "In stock",
                "Free 90-day returns"
            ],
            "price": "$6.53",
            "original_price": null,
            "delivery_fee": "$6.99",
            "tax": "tax",
            "total_price": "$13.52"
        },
        {
            "name": "Target",
            "link": "https://www.target.com/p/folgers-classic-medium-roast-ground-coffee-9-6oz/-/A-13376546?TCID=OGS&AFID=google&CPNG=Dry%2BGrocery&adgroup=231-10&srsltid=AfmBOoowlUBxm_2uUnYPmX3T-16DGL400JFKpHrUkQz5xVgIf_qv9LrerEU&region_id=606606",
            "favicon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.target.com&client=SHOPPING&size=32&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
            "title": "Folgers Classic Medium Roast Ground Coffee - 9.6oz",
            "ratings": "4.6/5",
            "reviews": "318",
            "payment_method": "PayPal, Affirm accepted",
            "tag": "Best price",
            "extensions": [
                "Delivery Aug 23 – 30",
                "In stock",
                "Free 90-day returns"
            ],
            "price": "$6.49",
            "original_price": null,
            "tax": "tax",
            "total_price": "$6.49"
        },
        {
            "name": "The J.M. Smucker Co. Shop",
            "link": "https://shop.smucker.com/products/folgers-classic-roast-medium-roast-ground-coffee?variant=47089601413398&country=US&currency=USD&utm_medium=product_sync&utm_source=google&utm_content=sag_organic&utm_campaign=sag_organic&srsltid=AfmBOoqtbq7W3hyGpnoRsi8ch4lAT6tkxW38BlrrI9_vvPpEzvgYrdRopm4",
            "favicon": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://shop.smucker.com&client=SHOPPING&size=32&type=FAVICON&fallback_opts=TYPE,SIZE,URL",
            "title": "Folgers Classic Roast, Medium Roast, Ground Coffee 9 oz",
            "payment_method": "PayPal, Google Pay, Shop Pay accepted",
            "extensions": [
                "$5.60 delivery by Aug 26",
                "Free $59+",
                "In stock"
            ],
            "price": "$8.49",
            "original_price": null,
            "delivery_fee": "$5.60",
            "tax": "tax",
            "total_price": "$14.09"
        }
    ],
    "about_the_product": {
        "title": "folgerscoffee.com",
        "link": "https://www.folgerscoffee.com/coffee/ground/classic-roast",
        "icon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.folgerscoffee.com&client=SHOPPING&size=32&type=FAVICON&fallback_opts=TYPE,SIZE,URL&nfrp=2",
        "displayed_link": "folgerscoffee.com",
        "features": [
            {
                "title": "Roast Level",
                "value": "Medium"
            },
            {
                "title": "Coffee Form",
                "value": "Ground"
            },
            {
                "title": "Coffee Variety",
                "value": "Arabica"
            },
            {
                "title": "Grind",
                "value": "Medium"
            },
            {
                "title": "Caffeine Level",
                "value": "Medium"
            },
            {
                "title": "Decaf Option",
                "value": "No"
            },
            {
                "title": "Country",
                "value": "US, CR, BR"
            },
            {
                "title": "Region",
                "value": "North America & Caribbean"
            },
            {
                "title": "Flavor Notes",
                "value": "Rich, Smooth"
            },
            {
                "title": "Flavor Intensity",
                "value": "Medium"
            },
            {
                "title": "Flavor Profile",
                "value": "Balanced"
            },
            {
                "title": "Sweetness",
                "value": "Medium"
            },
            {
                "title": "Acidity",
                "value": "Medium"
            },
            {
                "title": "Body",
                "value": "Medium"
            },
            {
                "title": "Sugar Content",
                "value": "None"
            },
            {
                "title": "Flavorings",
                "value": "Unflavored"
            },
            {
                "title": "Prep Method",
                "value": "Drip"
            },
            {
                "title": "Prep Equip",
                "value": "Drip Coffee Maker"
            },
            {
                "title": "Certifications",
                "value": "Kosher"
            },
            {
                "title": "Packaging Material",
                "value": "Recyclable"
            },
            {
                "title": "Container Type",
                "value": "Bag"
            },
            {
                "title": "Count",
                "value": "1, 6, 10, 150, 160 pcs."
            },
            {
                "title": "Weight",
                "value": "8.38 lbs - 10.27 lbs (25.9 oz - 43.5 oz)"
            },
            {
                "title": "Bulk?",
                "value": "No"
            },
            {
                "title": "Variety Pack?",
                "value": "No"
            },
            {
                "title": "Brew Method",
                "value": "Drip"
            },
            {
                "title": "Skill Level",
                "value": "Beginner"
            },
            {
                "title": "Top Use Cases",
                "value": "Morning coffee"
            },
            {
                "title": "Seasonal",
                "value": "No"
            }
        ],
        "description": "Folgers Classic Roast coffee is made from Mountain Grown beans, the richest and most aromatic in the world. This classic medium-roast ground coffee has a fresh, eye-opening aroma that will entice you every morning. Folgers Classic Roast coffee is classic for a reason—that consistently rich, pure taste, cup after cup and The Best Part of Wakin’ Up for more than 150 years. Folgers coffee great pure taste is equally matched by the dedication to bringing you the flavors you love in the format you choose. Some of your favorite Folgers roasts are also available in canisters, K-Cup Pods, instant, individual single serve packets and other convenient formats. | Lower prices on over 1,000 items. Save big with grocery deals and affordable products near you.,Folgers Classic Roast coffee is made from Mountain Grown beans, the richest and most aromatic in"
    },
    "more_options": [
        {
            "title": "Maxwell House Original Roast Coffee",
            "thumbnail": "https://encrypted-tbn1.gstatic.com/shopping?q=tbn:ANd9GcS7KPBQTz4BkllMxgT21DTk468SI6uf3J6DWP-7WyD53RyXXJr2ns5yRJVUxE2XZnFp1yTyMuC8WotY-2Cgi75gim9MrhkPQ2_-n83aRCimYBYgQ6CgekaC",
            "price": "$21.44",
            "previous_price": "$29",
            "token": "catalogid:8486058591694260795,gpcid:2388696809032876569,headlineOfferDocid:221501858544919035,imageDocid:2286871250092012065,mid:576462840115984365,productid:13805489481702077124,pvo:2,pvt:hg"
        },
        {
            "title": "Bones Coffee Company Dragon's Lair Dark Roast Whole Coffee Beans",
            "thumbnail": "https://encrypted-tbn1.gstatic.com/shopping?q=tbn:ANd9GcSPXt36wXHttFdbWXA5gDWW0AEK_ZOwxCMeZyYfZ9JKsNQr0DP3ttXL-VnouPikgG9WmB-s4RPCbh2dn9HQGp8-03A3hIPIYJl3v-2ql69WPrAIxyhvOyF4",
            "price": "$17.99",
            "token": "catalogid:7244445065437345454,gpcid:4280999049706063688,headlineOfferDocid:9659526773048425670,imageDocid:6132981072267022801,mid:576462776981403528,productid:14665585766862309925,pvo:2,pvt:hg,rds:PC_4280999049706063688|PROD_PC_4280999049706063688"
        },
        {
            "title": "Folgers Ground Coffee 100% Colombian",
            "thumbnail": "https://encrypted-tbn0.gstatic.com/shopping?q=tbn:ANd9GcRNe5W4mczoQptIuX_o98tp6Sgup0BvRvkMk4U9jQ5A-Ys7wp_JwEdlCOXKuBAOSpgmtSrQvcZMfjwoH0AHQItlb38gAfnkykeQi3nH3WcqBjGM8rXBsvVW",
            "price": "$14.99",
            "previous_price": "$20",
            "token": "catalogid:12332921258300782101,gpcid:10585566639253007224,headlineOfferDocid:12533843365100153390,imageDocid:15793428148263501580,mid:576462860873683157,productid:12460364061443201984,pvo:2,pvt:hg,rds:PC_10585566639253007224|PROD_PC_10585566639253007224"
        },
        {
            "title": "Folgers K-Cup Classic Roast Coffee",
            "thumbnail": "https://encrypted-tbn1.gstatic.com/shopping?q=tbn:ANd9GcSSziaiP7rg1pdBTkaBkfon-BEqszFVoTCw7zq0xhf2EolD3JBeWzVAm_8ry8OX9nh_JiYVs-KAvy49Z20xNnn7XQ0jrrG6ig9WVfv3vhDN",
            "price": "$11.49",
            "token": "catalogid:11833674155095356595,gpcid:5347816515913630347,headlineOfferDocid:18393369003755074877,imageDocid:7112201030839222289,mid:576462758529794644,productid:12884525262980104754,pvo:2,pvt:hg,rds:PC_5347816515913630347|PROD_PC_5347816515913630347"
        },
        {
            "title": "Stumptown Coffee Homestead Blend Whole Bean Coffee",
            "thumbnail": "https://encrypted-tbn1.gstatic.com/shopping?q=tbn:ANd9GcQ6UMnCe0R9jJuo_Vj0Zy-Or_y2_w65AdZFpx0MbIrgTPahM4qhQwU3WNpdrM8HVGo5TYOsjWQqarWn9PViDtqsHL0FYEFs6Otc98_H_JBuPBzjglZIpZYl",
            "price": "$19.00",
            "token": "catalogid:6345566940514215367,gpcid:12008271713108752020,headlineOfferDocid:12541034849651110148,imageDocid:16789025328701051285,mid:576462853135101005,productid:3521310974633692403,pvo:2,pvt:hg,rds:PC_12008271713108752020|PROD_PC_12008271713108752020"
        },
        {
            "title": "Community Coffee Breakfast Blend Ground Coffee",
            "thumbnail": "https://encrypted-tbn3.gstatic.com/shopping?q=tbn:ANd9GcQA_eAH_HJA65sCtENFoFzDhaPSe3_JcuYcOyukJ11rfhoJ9eUkDS5SkWVHzzRh1NrUg4_6T59WDpBxvJ77lXGTjgme7Rg-SOwSLwVX7TpUrRlM-39QGtZJ",
            "price": "$19.99",
            "token": "catalogid:2978693696816015079,gpcid:18352844212556670452,headlineOfferDocid:16285574753681206774,imageDocid:14017892189357923303,mid:576462810527895842,productid:10404251778724195426,pvo:2,pvt:hg,rds:PC_18352844212556670452|PROD_PC_18352844212556670452"
        }
    ],
    "variants": [],
    "scorecard": []
}
```
